org.apache.ignite.internal.processors.dr

## Class GridDrDataLoadCacheUpdater<K,V>

- java.lang.Object
- - org.apache.ignite.internal.processors.dr.GridDrDataLoadCacheUpdater<K,V>

All Implemented Interfaces:
  Serializable, IgniteDataLoader.Updater<K,V>

    public class GridDrDataLoadCacheUpdater<K,V>
    extends Object
    implements IgniteDataLoader.Updater<K,V>

Data center replication cache updater for data loader.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridDrDataLoadCacheUpdater()`

### Method Summary

Methods
`void` `update(IgniteCache<K,V> cache0, Collection<Map.Entry<K,V>> col)` Updates cache with batch of entries.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridDrDataLoadCacheUpdater

    public GridDrDataLoadCacheUpdater()

### Method Detail

#### update

    public void update(IgniteCache<K,V> cache0,
              Collection<Map.Entry<K,V>> col)

Updates cache with batch of entries.

Specified by:
  `update` in interface `IgniteDataLoader.Updater<K,V>`
Parameters:
  `cache0` - Cache.
  `col` - Collection of entries.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015